Subject: PWG> Re: JMP> Job MIB - trials and tribulations

From: [email-masked]
Date: Fri, 14 Nov 1997 12:59:14 -0500

Harry Lewis said:

>I will just reiterate my proposal which bases the hierarchy on PWG
projects...
>given that these tend to "foster" separate standards...
>
>..... 2699.1.1......  Job Mib
>..... 2699.1.2 .....  Future Job Mib extensions
>..... 2699.2.1 .....  Finisher Mib
>..... 2699.2.2 .....  Finisher Mib extensions
>..... 2699.3.1 .....  Hey, how about... Printer Mib
>..... 2699.3.2 .....  Printer MIB extensions
>..... 2699.3.2 .....  Printer MIB extensions
>..... 2699.4.1 .....  IPP Operations (as suggested by someone, below)
>..... 2699.4.2 .....  IPP Attributes
>
>What about a space for registering things like type-2 enums etc.?
>
>I don't feel real strongly about this proposal... I think just about any
>structure will have pro's and con's.

In Harry's format, I would really prefer the following which tends to group
like things together, IMHO.  If we add some other MIB later on, it would
fall under the MIB sub-tree as opposed to after IPP and the Internet
Finishing Protocol or whatever else happens before that new MIB.
......2699.1........  MIBS
..... 2699.1.1.1......  Job Mib
..... 2699.1.1.2 .....  Future Job Mib extensions
..... 2699.1.2.1 .....  Finisher Mib
..... 2699.1.2.2 .....  Finisher Mib extensions
..... 2699.1.3.1 .....  Hey, how about... Printer Mib
..... 2699.1.3.2 .....  Printer MIB extensions
..... 2699.1.3.2 .....  Printer MIB extensions
......2699.2.......   IPP
..... 2699.2.1 .....    IPP Operations (as suggested by someone, below)
..... 2699.2.2 .....    IPP Attributes
......2699.3.......   Something else

To be consistant, we might even want to do something like:

......2699.1........  MIBS
..... 2699.1.1.1......  Job Mib
..... 2699.1.1.2 .....  Future Job Mib extensions
..... 2699.1.2.1 .....  Finisher Mib
..... 2699.1.2.2 .....  Finisher Mib extensions
..... 2699.1.3.1 .....  Hey, how about... Printer Mib
..... 2699.1.3.2 .....  Printer MIB extensions
..... 2699.1.3.2 .....  Printer MIB extensions
......2699.2........  PROTOCOLS
......2699.2.1......    IPP
..... 2699.2.1.1 .....    IPP Operations (as suggested by someone, below)
..... 2699.2.1.2 .....    IPP Attributes
......2699.2.2.......   Some Other Protocol
......2699.3........  SOMETHING_ELSE_BESIDES_MIBS_AND_PROTOCOLS

but I won't get hung up on that.  I think insuring all the MIBs are in the
same
sub-tree is probably sufficient.

Don

**********************************************
* Don Wright                 [email-masked] *
* Manager, Strategic Alliances and Standards *
* Lexmark International                      *
* 740 New Circle Rd                          *
* Lexington, Ky 40550                        *
* 606-232-4808 (phone) 606-232-6740 (fax)    *
**********************************************